> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soyab.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Blessed



## OpenAPI

````yaml cherrytree/openapi.json get /blessed
openapi: 3.1.0
info:
  title: CherryTree API
  description: An API created by decompiling the CherryTree Android App
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cherrytree.soyab.uk
security: []
paths:
  /blessed:
    get:
      summary: Blessed
      responses:
        '200':
          description: 200 Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Blessed'
components:
  schemas:
    Blessed:
      type: object
      properties:
        total:
          type: number
        results:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              itemId:
                type: number
              name:
                type: string
              level:
                type: string
              description:
                type: string
              requirementId:
                type: number
              requirement:
                type: string
              originalCost:
                type: number
              baseCamp57Cost:
                type: number
              tikiTheTicketCost:
                type: number
              bothCost:
                type: number
            required:
              - id
              - itemId
              - name
              - level
              - description
              - requirementId
              - requirement
              - originalCost
              - baseCamp57Cost
              - tikiTheTicketCost
      required:
        - total
        - results

````